// ex12_00.c
#include <stdio.h>

#define FITXER_ORIGEN "origen.txt"
#define FITXER_DESTI  "desti.txt"

void copia (char *f_origen, char *f_desti){
	FILE *f_o,*f_d;
	char cCar;

    if((f_o = fopen(f_origen,"r"))==NULL){
        printf("Error a l'intentar obrir l'arxiu %s de lectrura\n",f_origen);
        return;
    }
    if((f_d = fopen(f_desti,"w"))==NULL){
        printf("Error al intentar obrir l'arxiu %s d'escriptura\n",f_desti);
        fclose(f_o); // Abans de marxar, tanquem l'apuntador a arxiu obert.
        return;
    }

    while((cCar=getc(f_o))!=EOF){
		putc(cCar,f_d);
	}
    fclose(f_d);
    fclose(f_o);
}

int main(){
	printf("Còpia de l'arxiu %s a %s\n",FITXER_ORIGEN,FITXER_DESTI);
	copia(FITXER_ORIGEN,FITXER_DESTI);
	
	return 0;
}
