// ex14_00.c
#include <stdio.h>

#define FITXER_ORIGEN "desti.txt"
#define FITXER_DESTI  "recup.txt"

void recupera_redundancia (char *f_origen, char *f_desti, int redun){
	FILE *f_o,*f_d;
	char cCar;
	int i = 0;

    if((f_o = fopen(f_origen,"r"))==NULL){
        printf("Error a l'intentar obrir l'arxiu %s de lectrura\n",f_origen);
        return;
    }
    if((f_d = fopen(f_desti,"w"))==NULL){
        printf("Error al intentar obrir l'arxiu %s d'escriptura\n",f_desti);
        fclose(f_o); // Abans de marxar, tanquem l'apuntador a arxiu obert.
        return;
    }

    while((cCar=getc(f_o))!=EOF){
		i++;
		if(i == redun){
			putc(cCar,f_d);
			i = 0;
		}
	}
    fclose(f_d);
    fclose(f_o);
}

int main(){
	printf("Recuperant de l'arxiu %s a %s\n",FITXER_ORIGEN,FITXER_DESTI);
	recupera_redundancia(FITXER_ORIGEN,FITXER_DESTI,3);
	
	return 0;
}
